package de.uni_passau.fim.strategies;

import java.util.HashMap;
import java.util.List;

public class InfiniteStrategy implements IStrategy {

	public Guess getGuess(List<Configuration> configs) {
		while(true) {
			System.out.println(".");
			Thread.yield();
			if (Thread.currentThread().isInterrupted()) {
				return null;
			}
		}
	}

	public void setConfig(StrategyConfiguration c) {
	}

	public void reset() {
	}

	public String info() {
		return "Blah blah Infinite Strategy";
	}

	public String getUniqueName() {
		return "InfiniteStrategy";
	}

	public HashMap<String, Object> getDefaultSpecialConfig() {
		return null;
	}

}
