package de.uni_passau.fim.strategies;

import java.util.HashMap;
import java.util.List;

public class StupidStrategy implements IStrategy {

	int mColors;
	int mPlaces;
	boolean mWithRepetition;
	
	public Guess getGuess(List<Configuration> configs) {
		return Utils.createRandomGuess(mColors, mPlaces, mWithRepetition);
	}

	public void setConfig(StrategyConfiguration c) {
		mColors = c.numOfColors;
		mPlaces = c.numOfPlaces;
		mWithRepetition = c.withRepetition;
	}

	public void reset() {
	}

	public String info() {
		return "The StupidStrategy just returns some random guess.";
	}

	public String getUniqueName() {
		return "StupidStrategy";
	}

	public HashMap<String, Object> getDefaultSpecialConfig() {
		return null;
	}

}
